Bug 105816 - [EFL][WebGL] Add compile time support for GLES2.
Summary: [EFL][WebGL] Add compile time support for GLES2.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Kalyan
URL:
Keywords:
Depends on: 105876
Blocks: 105659
  Show dependency treegraph
 
Reported: 2012-12-27 20:59 PST by Kalyan
Modified: 2012-12-31 08:58 PST (History)
7 users (show)

See Also:


Attachments
patch (4.27 KB, patch)
2012-12-27 22:54 PST, Kalyan
no flags Details | Formatted Diff | Diff
patch v2 (3.90 KB, patch)
2012-12-31 04:11 PST, Kalyan
kenneth: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
patchv3 (4.00 KB, patch)
2012-12-31 08:35 PST, Kalyan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kalyan 2012-12-27 20:59:00 PST
Add GLES2 compile time support in OptionsEfl.cmake and PlatformEfl.cmake.
Comment 1 Kalyan 2012-12-27 22:54:23 PST
Created attachment 180847 [details]
patch
Comment 2 Thiago Marcos P. Santos 2012-12-28 02:15:05 PST
Comment on attachment 180847 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=180847&action=review

> Source/cmake/OptionsEfl.cmake:191
> +        option(ENABLE_GLES2 ON)
> +
> +        if (ENABLE_GLES2)

This if() looks unnecessary since it will never fail. Do we need to set this option()?
Comment 3 Kalyan 2012-12-28 11:52:16 PST
(In reply to comment #2)
> (From update of attachment 180847 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=180847&action=review
> 
> > Source/cmake/OptionsEfl.cmake:191
> > +        option(ENABLE_GLES2 ON)
> > +
> > +        if (ENABLE_GLES2)
> 
> This if() looks unnecessary since it will never fail. Do we need to set this option()?

Yes,in order to enable the option (ENABLE_GLES2), we need to pass --cmakeargs="-DENABLE_GLES2=ON" to the built-webkit` script, otherwise it is never set and the if condition will fail. Atleast that's how I understood the usage of option.
Comment 4 Kalyan 2012-12-30 14:14:54 PST
Comment on attachment 180847 [details]
patch

removing request for cq till https://bugs.webkit.org/show_bug.cgi?id=105876 is done
Comment 5 Kalyan 2012-12-31 04:11:25 PST
Created attachment 180968 [details]
patch v2

rebased patch
Comment 6 WebKit Review Bot 2012-12-31 05:00:25 PST
Comment on attachment 180968 [details]
patch v2

Rejecting attachment 180968 [details] from commit-queue.

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', u'--status-host=queues.webkit.org', ..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue

/mnt/git/webkit-commit-queue/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://queues.webkit.org/results/15593747
Comment 7 Kenneth Rohde Christiansen 2012-12-31 05:02:31 PST
Comment on attachment 180968 [details]
patch v2

View in context: https://bugs.webkit.org/attachment.cgi?id=180968&action=review

> Source/WebCore/ChangeLog:8
> +        [EFL][WebGL] Add compile time support for GLES2.
> +        https://bugs.webkit.org/show_bug.cgi?id=105816
> +
> +        This patch adds build support for GLES2.
> +        GLES2 support can be enabled during compile time by passing -DENABLE_GLES2=ON as
> +        cmake config parameter. GLES2 options is not enabled by default. This patch doesn't

missing reviewer (OOPS!) part
Comment 8 Kalyan 2012-12-31 08:35:33 PST
Created attachment 180977 [details]
patchv3
Comment 9 WebKit Review Bot 2012-12-31 08:57:58 PST
Comment on attachment 180977 [details]
patchv3

Clearing flags on attachment: 180977

Committed r138598: <http://trac.webkit.org/changeset/138598>
Comment 10 WebKit Review Bot 2012-12-31 08:58:04 PST
All reviewed patches have been landed.  Closing bug.